package com.candidjava.hibernate;

import javax.persistence.Column;
import javax.persistence.DiscriminatorColumn;
import javax.persistence.DiscriminatorType;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.Table;

@Entity  
@Table(name = "book")  
@Inheritance(strategy=InheritanceType.SINGLE_TABLE)
@DiscriminatorColumn(name="type",discriminatorType=DiscriminatorType.STRING)
@DiscriminatorValue(value="book")
public class Book {
	@Id  
	@GeneratedValue(strategy=GenerationType.AUTO)  
    int id;
	@Column(name = "title") 
    String title;
    @Column(name = "author")  
    String author;
    @Column(name = "cost")  
    double cost;

    public Book() {
    }

    public Book(String title, String author,double cost) {
      this.title = title;
      this.author = author;
      
      this.cost = cost;
    }

    public void setId(int id) { 
      this.id = id;
    }

    public int getId(){ 
      return id;
    }

    public void setTitle(String title) { 
      this.title = title;
    }

    public String getTitle() { 
      return title;
    }

    public void setAuthor(String author) { 
       this.author = author;
    }

    public String getAuthor() { 
      return author;
    }

    
    public void setCost(double cost) { 
      this.cost = cost;
    }

    public double getCost() { 
      return cost;
    }
  }